C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE ICASMD(IE)
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT REAL*4    (C)
	IMPLICIT INTEGER*2 (D-Z)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512),ICS,ICB,ICOM
	COMMON/LINEAR/ALIN,AINTER,ATOSEC
C*****ADD,SUB,MPY,DIV
	IE=13
	IF(ICOM.GT.14)GOTO 300
	ISV=INTPAR(1)
160	IF(GCV(2,ISV))1050,170,170
170	IF(ICOM.GT.10)CALL NORM(2,ISV)
	IF(ATOSEC)CALL TOSEC(2)
	C=0
C*****         AD  SB  MT  DV  AN  SN  MN  DN
	GOTO (180,190,200,210,180,190,200,210),ICOM-6
C*****AD..7
C*****AN..11
C*****CA..30
180	CALL IADD(C)
	RETURN
C*****SB..8
C*****SN..12
C*****CS..31
190	CALL SUB(C)
	RETURN
C*****MT..9
C*****MN..13
C*****CM..32
200	CALL MULT(C)
	RETURN
C*****DV..10
C*****DN..14
C*****CD..33
210	IF(DIV(C).LT.0)GOTO 1050
	RETURN
C*****COMMANDS TAKING A PARAMETER CONSTANT
300	C=CREPAR(1)
C*****	       CA  CS  CM  CD
	GOTO (180,190,200,210),ICOM-29
1050	IE=6
	RETURN
	END
